from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    # Admin Django
    path('admin/', admin.site.urls),


    # Inclusion des URLs des applications
    path('', include('home.urls')),
    path('sidebar/', include('sidebar.urls')),
    path('projects/', include('projects.urls')),
    path('services/', include('services.urls')),
    path('about/', include('about.urls')),
    path('contact/', include('contact.urls')),
    path('bot/', include('bot.urls')),
]

# Configuration pour servir les fichiers médias en mode DEBUG (Dev local)
if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)